Bug 64711 - Textarea Colors are not good in dark modes
Summary: Textarea Colors are not good in dark modes
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.3
Hardware: PC All
: P2 normal (vote)
Target Milestone: JMETER_5.4
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2020-09-04 11:43 UTC by Timo Leefers
Modified: 2020-10-27 11:00 UTC (History)
1 user (show)



Attachments
ZIP with four screenshots - 3 from JMeter 5.3 and 1 from JMeter 5.1.1 (38.68 KB, application/x-zip-compressed)
2020-09-04 11:43 UTC, Timo Leefers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Leefers 2020-09-04 11:43:47 UTC
Created attachment 37421 [details]
ZIP with four screenshots - 3 from JMeter 5.3 and 1 from JMeter 5.1.1

The font-color of the Text-Area is not change when switch the LAF. This causes that the text is not good readable. In JMeter 5.1.1 switching to the darcula LAF the font-colors changed so that everything was good readable.

Example:
Create a TestPlan with a HTTP-Sampler and entry something in the RequestBody.
Enter something to the Body-Data.

In all bright LAF the text is readable, but in the dark ones (Darklaf-Dracula, Darklaf-Onedark, Darklaf-SolarizedDark) the text hard to read (Black text und dark backgrounds). But with Darklaf-HighContrastDark it's impossible to read (Black text on black background) - only the marked text and the active row are readable.
(see Screenshots)


The same issue happen in the "View Results Tree", when viewing the request- and resonde data (Body and Headers).
Comment 1 Philippe Mouawad 2020-09-08 19:43:52 UTC
https://github.com/apache/jmeter/pull/617
Comment 2 Philippe Mouawad 2020-10-24 15:15:22 UTC
pmouawad pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/jmeter.git


The following commit(s) were added to refs/heads/master by this push:
     new 1bc58f4  Use theme from darklaf extensions for RSyntaxTextArea. (#617)
1bc58f4 is described below

commit 1bc58f4c65b812751439d94ce4f31bbb4923d132
Author: Jannis Weis <31143295+weisJ@users.noreply.github.com>
AuthorDate: Wed Sep 9 18:01:27 2020 +0200

    Use theme from darklaf extensions for RSyntaxTextArea. (#617)
---
 gradle.properties                                  |  3 +-
 src/bom/build.gradle.kts                           |  1 +
 src/core/build.gradle.kts                          |  1 +
 .../jmeter/gui/action/LookAndFeelCommand.java      | 10 ++---
 .../apache/jmeter/gui/util/JSyntaxTextArea.java    | 44 ++++++++++++++--------
 5 files changed, 37 insertions(+), 22 deletions(-)
Comment 3 Timo Leefers 2020-10-27 11:00:56 UTC
I've tested it in the nightly of today 2020-10-27. And now that look very well.

Thank you for fixing this issue.